package it.unibas.esempihibernate.esmmbidir;

import java.util.ArrayList;
import java.util.List;

public class Libro {

    private long id;
    private String titolo;
    private double prezzo;
    private List autori = new ArrayList();

    private void setId(long id){
        this.id = id;
    }

    public long getId(){
        return this.id;
    }

    public String getTitolo() {
        return titolo;
    }

    public void setTitolo(String titolo) {
        this.titolo = titolo;
    }

    public double getPrezzo() {
        return prezzo;
    }

    public void setPrezzo(double prezzo) {
        this.prezzo = prezzo;
    }

    public List getAutori() {
        return autori;
    }

    public void setAutori(List autori) {
        this.autori = autori;
    }

    public void addAutore(Autore autore) {
        this.autori.add(autore);
    }
    
    public void removeAutore(Autore autore){
        this.autori.remove(autore);
    }

}



